struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Otto, Frank" <o...@delta-barth.de>
Subject AW: AW: AW: SV: validation with struts 1.2
Date Wed, 07 Apr 2004 08:02:38 GMT
I get no error, but it doesn't find the text in this resource bundle, which I declared.

I use the commons-validation-1.1.2.jar (http://www.apache.org/~martinc/validator/v1.1.2/)

And I take a look at the dtd. arg0 is deprecated.  Use <arg position="0"/> instead.

-----Urspr√ľngliche Nachricht-----
Von: Adam Hardy [mailto:ahardy.struts@cyberspaceroad.com]
Gesendet: Mittwoch, 7. April 2004 09:46
An: Struts Users Mailing List
Betreff: Re: AW: AW: SV: validation with struts 1.2


I just updated my DTD declaration to validator-1.1 and now it is giving 
me some SAXParseException

Attribute "bundle" must be declared for element type "arg0"

This is new to me and I'll have to check it out. I now have a test 
validate.xml with only one form, one field and one arg, and that has the 
bundle attribute on it. Perhaps it wants me to specify what that bundle 
is somehow.

Frank, what error do you get? Any exceptions?

Adam

On 04/07/2004 08:10 AM Otto, Frank wrote:
> Hi Adam,
> 
> I use the validation.xml in this way:
> 
> <!DOCTYPE form-validation PUBLIC "-//Apache Software Foundation//DTD Commons Validator
Rules Configuration 1.1//EN" "http://jakarta.apache.org/commons/dtds/validator_1_1.dtd">
> 
> <form name="loginForm">
> 	<field property="loginname" depends="required">
> 		<arg0 key="label.loginname" bundle="login"/>
> 		<msg name="required" key="error.required" bundle="login"/>
> 	</field>
> 	<field property="password" depends="required">
> 		<arg0 key="label.password" bundle="login"/>
> 		<msg name="required" key="error.required" bundle="login"/>
> 	</field>
> </form>
> 
> 
> Regards,
> 
> Frank
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
> For additional commands, e-mail: user-help@struts.apache.org
> 
> 


-- 
struts 1.2 + tomcat 5.0.19 + java 1.4.2
Linux 2.4.20 Debian


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message